de.dhbwstuttgart.logger

## Class OutputHandler

- java.lang.Object
- - java.util.logging.Handler
  - - de.dhbwstuttgart.logger.OutputHandler

-     class OutputHandler
      extends java.util.logging.Handler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.io.PrintStream` | `output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputHandler(java.io.PrintStream output)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `publish(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### output

          private java.io.PrintStream output

  - ### Constructor Detail

    - #### OutputHandler

          public OutputHandler(java.io.PrintStream output)

  - ### Method Detail

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Specified by:
        `publish` in class `java.util.logging.Handler`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `java.util.logging.Handler`

    - #### close

          public void close()
                     throws java.lang.SecurityException

      Specified by:
        `close` in class `java.util.logging.Handler`
      Throws:
        `java.lang.SecurityException`